## IAnjutaFileLoader

IAnjutaFileLoader — Loader to load files

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_file_loader_error_quark ()
GObject * | ianjuta_file_loader_load ()
gchar * | ianjuta_file_loader_peek_interface ()

## Types and Values

#define | IANJUTA_FILE_LOADER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaFileLoader

## Includes

    #include <libanjuta/interfaces/ianjuta-file-loader.h>

## Description

Loaders can deterime correct plugin to open a file.

## Functions

### ianjuta_file_loader_error_quark ()

    GQuark
    ianjuta_file_loader_error_quark (void);

### ianjuta_file_loader_load ()

    GObject *
    ianjuta_file_loader_load (IAnjutaFileLoader *obj,
                              GFile *file,
                              gboolean readonly,
                              GError **err);

Determines a plugin which can open the given file, activates it opening the file and returns the interface of the plugin activated.

#### Parameters

obj | Self |
file | File to load |
readonly | Open in readonly mode. |
err | Error propagation and reporting |

#### Returns

Plugin interface used to load the file.

### ianjuta_file_loader_peek_interface ()

    gchar *
    ianjuta_file_loader_peek_interface (IAnjutaFileLoader *obj,
                                        GFile *file,
                                        GError **err);

## Types and Values

### IANJUTA_FILE_LOADER_ERROR

    #define IANJUTA_FILE_LOADER_ERROR ianjuta_file_loader_error_quark()